### Method

# Ide Vcs list_status_async

#### Declaration

    void
    ide_vcs_list_status_async (
      IdeVcs* self,
      GFile* directory_or_file,
      gboolean include_descendants,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Retrieves the status of the files matching the request. If `directory_or_file` is a directory, then all files within that directory will be scanned for changes. If `include_descendants` is `TRUE`, the `IdeVcs` will scan sub-directories for changes as well.

The function specified by `callback` should call `ide_vcs_list_status_finish()` to retrieve the result of this asynchronous operation.

Available since: | 3.32

#### Parameters

`directory_or_file` | `GFile`
| A `GFile` containing a file or directory within the working tree to retrieve the status of.
| The data is owned by the caller of the function.
`include_descendants` | `gboolean`
| If descendants of `directory_or_file` should be included when retrieving status information.
`io_priority` | `gint`
| A priority for the IO, such as `G_PRIORITY_DEFAULT`.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback for the operation.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.